<!--
 Repository audit page.
 audit.php
 Lists repository events.
 Version 0.01
 Copyright (c) 2001-2002 Alexis Grandemange
 Mail: alexis.grandemange@pagebox.net
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 A copy of the GNU Lesser General Public License lesser.txt should be
 included in the distribution.
 -->
<html>
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Audit of PHP Pagebox repository">
<meta name="keywords" content="Audit, PHP, Pagebox, repository">
<link rel="stylesheet" href="pagebox.css" type="text/css">
<script src="pagebox.js"></script>
<title>Audit of PHP Pagebox repository</title>
</head>
<body>
<?php
/**
 * Checks if the user is the administrator defined in adminUser.rep.
 * If adminUser.rep doesn't exist, no user checking is performed.
 * You should define adminUser.rep for production.
 */
$allowed = true;
if (file_exists("adminUser.rep")) {
  $fuser = fopen("adminUser.rep", "r");
  $user = fgets($fuser, 255);
  fclose($fuser);
  if ($user != $HTTP_SERVER_VARS["REMOTE_USER"]) {
    $status = $HTTP_SERVER_VARS["REMOTE_USER"] . " not allowed";
    $allowed = false;
  }
} else {
  $status = "Unsecure setting: adminUser.rep doesn't exist";
}
if ($allowed && ($HTTP_GET_VARS["Clear"] == "Clear") && file_exists("audit.html")) {
  unlink("audit.html");
}
?>
<table width="100%"><tr>
<td align="left" width="8%">
<a href="http://pagebox.net/php/php-index.html" style="text-decoration:none;background:white;color:white">
<img src="logo.gif" alt="Audit of PHP Pagebox repository" border="0"></a></td>
<td align="left"><h1>Audit</h1></td>
<td align="right"><a href="admin.php" alt="Administration of PHP Pagebox repository">Administration</a></td>
<td align="right"><a href="subscriber.php" alt="Subscriber of PHP Pagebox repository">Subscriber</a></td>
<td align="right"><a href="select.php" alt="Archive Subscriber of PHP Pagebox repository">Select</a></td>
<td align="right"><a href="publisher.php" alt="Publisher of PHP Pagebox repository">Publisher</a></td>
<td align="right"><a href="batch.php" alt="Batch report on PHP Pagebox repository">Batch</a></td>
<td align="right"><a href="environment.php" alt="PHP environment">Environment</a></td>
<td align="right"><a href="mailto:support@pagebox.net">
<img src="mail.gif" alt="support@pagebox.net" border="0"></a></td></tr></table>
<form method="get" action="audit.php">
<input type="submit" name="Clear" value="Clear"/>
</form>
<table width="100%"><tr bgcolor="maroon">
<th width="20%">Date</th><th width="8%">Host</th>
<th width="8%">User</th><th width="64%">Event</th></tr>
<?php
if ($allowed && file_exists("audit.html")) {
  include("audit.html");
}
?>
</table>
<p class="timestamp"><?= $status ?></p>
<p align="center">&#169;2002 Alexis Grandemange.
<font class="timestamp">Last modified
<script>document.write(document.lastModified);</script>.
</font></p>
</body>
</html>