<!--
 Subscription page.
 subscriber.php
 Lists, adds and removes Subscribers from the repository.
 Version 0.02
 Copyright (c) 2001-2002 Alexis Grandemange
 Mail: alexis.grandemange@pagebox.net
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 A copy of the GNU Lesser General Public License lesser.txt should be
 included in the distribution.
 -->
<html>
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Subscriber of PHP Pagebox repository">
<meta name="keywords" content="Subscribe, PHP, Pagebox, repository">
<link rel="stylesheet" href="pagebox.css" type="text/css">
<script src="pagebox.js"></script>
<title>Subscriber of PHP Pagebox repository</title>
</head>
<body>
<?php
include("archive.inc");
if (!lock("subscriber.php", $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"])) {
  $status = "Repository locked - retry later";
} else {
/**
 * Request handling.
 * Queried in GET mode by itself.
 */
$status = "";
$download = $HTTP_SERVER_VARS["HTTP_HOST"] .
  str_replace("repository", "download", dirname($HTTP_SERVER_VARS["REQUEST_URI"]));
$RepoSubsObj = restore_subscribers($download);
// Request analysis
if ($HTTP_GET_VARS["Subscribe"] == "Subscribe") {
  $status = $RepoSubsObj->subscribe($HTTP_GET_VARS["loc"]);
  audit("subscribe(" . $HTTP_GET_VARS["loc"] . ") " . $status,
    $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"]);
} elseif ($HTTP_GET_VARS["Unsubscribe"] == "Unsubscribe") {  
  $status = $RepoSubsObj->unsubscribe($HTTP_GET_VARS["loc"], false);
  audit("unsubscribe(" . $HTTP_GET_VARS["loc"] . ") " . $status,
    $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"]);
} elseif ($HTTP_GET_VARS["Force"] == "Force") {
  $status = $RepoSubsObj->unsubscribe($HTTP_GET_VARS["loc"], true);
  audit("unsubscribe(" . $HTTP_GET_VARS["loc"] . ", Force) " . $status,
    $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"]);
} elseif ($url = $HTTP_GET_VARS["url"]) {
  if ($HTTP_GET_VARS["isForce"] == "true") {
    $status = $RepoSubsObj->unsubscribe($url, true);
    audit("unsubscribe(" . $url . ", Force) " . $status,
      $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"]);
  } else {
    $status = $RepoSubsObj->unsubscribe($url, false);
    audit("unsubscribe(" . $url . ") " . $status,
      $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"]);
  }
}
save_subscribers($RepoSubsObj);
}
?>
<table width="100%"><tr>
<td align="left" width="8%">
<a href="http://pagebox.net/php/php-index.html" style="text-decoration:none;background:white;color:white">
<img src="logo.gif" alt="Subscriber of PHP Pagebox repository" border="0"></a></td>
<td align="left"><h1>Subscriber</h1></td>
<td align="right"><a href="admin.php" alt="Administration of PHP Pagebox repository">Administration</a></td>
<td align="right"><a href="select.php" alt="Archive Subscriber of PHP Pagebox repository">Select</a></td>
<td align="right"><a href="publisher.php" alt="Publisher of PHP Pagebox repository">Publisher</a></td>
<td align="right"><a href="audit.php" alt="Audit of PHP Pagebox repository">Audit</a></td>
<td align="right"><a href="batch.php" alt="Batch report on PHP Pagebox repository">Batch</a></td>
<td align="right"><a href="environment.php" alt="PHP environment">Environment</a></td>
<td align="right"><a href="mailto:support@pagebox.net">
<img src="mail.gif" alt="support@pagebox.net" border="0"></a></td></tr></table>
<table width="100%"><tr bgcolor="maroon">
<th width="8%">Action</th><th width="8%">&nbsp;</th>
<th width="57%">PageBox</th>
<th width="18%">Archive</th><th width="9%">State</th></tr>
<?php
/**
 * Lists subscribers.
 */
if ($status != "Repository locked - retry later") {
  if ($RepoSubsObj->subscribers != NULL) {
    while (list($key, $value) = each ($RepoSubsObj->subscribers)) {
      echo '<tr><td width="8%"><input type="button" name="Unsub" value="Unsub" onClick=unsub("', $key, '")></td>';  
      echo '<td width="8%"><input type="button" name="Force" value="Force" onClick=force("', $key, '")></td>';
      echo '<td width="57%">', $key, '</td>';
      $first = true;
      if ($value->arch == NULL) {
        echo '<td width="18%">&nbsp;</td>';
        echo '<td width="9%">&nbsp;</td></tr>';
        continue;
      }
      while (list($akey, $avalue) = each ($value->arch)) {
        if (!$first) {
          echo '<tr><td width="8%">&nbsp;</td><td width="8%">&nbsp;</td><td width="57%">&nbsp;</td>';
        } else {
          $first = false;
        }
        echo '<td width="18%">', $akey, '</td>';
        echo '<td width="9%">', $avalue, '</td></tr>';
      }
    }
  }
  unlock();
}
?>
</table>
<form method="get" action="subscriber.php">
<table width="100%"><tr><td width="20%" align="left">Deployment URL</td>
<td width="50%"><input type="text" size="80" name="loc"/></td>
<td width="10%" align="center"><input type="submit" name="Subscribe" value="Subscribe"/></td>
<td width="10%" align="center"><input type="submit" name="Unsubscribe" value="Unsubscribe"/></td>
<td width="10%" align="center"><input type="submit" name="Force" value="Force"/></td>
</tr></table></form>
<p class="timestamp"><?= $status ?></p>
<p align="center">&#169;2002 Alexis Grandemange.
<font class="timestamp">Last modified
<script>document.write(document.lastModified);</script>.
</font></p>
<!-- Hidden form used by pagebox.js. -->
<form name="hiddenUnsub" method="get" action="subscriber.php">
<input type="hidden" name="url"/>
<input type="hidden" name="isForce"/>
</form>
</body>
</html>